System.Data 2.0.0.0

User-defined types (UDTs) and user-defined aggregates are required to define a storage format, which can be either .Native or .UserDefined.

.Native allows SQL Server to handle serialization and deserialization automatically, but the format has restrictions on the kind of types it can handle. .UserDefined allows user-defined types and aggregates to handle their own serialization. User-defined types and aggregates must be marked with .UserDefined in the SqlUserDefinedType or SqlUserDefinedAggregate attribute, and must implement the interface.

Note that even with custom serialization, the total size of each instance must be under the maximum allowed limit, currently 8000 bytes.

Provides custom implementation for user-defined type (UDT) and user-defined aggregate serialization and deserialization.

- Method
  System.Void ``

  The method must reconstitute your object using the information written by the method.

  Generates a user-defined type (UDT) or user-defined aggregate from its binary form.

  The stream from which the object is deserialized. 2.0.0.0
- Method
  System.Void `` To be added.

  Write sufficient information to the binary stream to allow the method to reconstitute your UDT or user-defined aggregate.

  Converts a user-defined type (UDT) or user-defined aggregate into its binary format so that it may be persisted.

  2.0.0.0